API referenceCustom fields
List custom fields
List all custom field definitions in the company workspace
GET
/custom-fieldscurl -X GET "https://api.corma.io/v1/custom-fields" \
-H "x-corma-api-key: $CORMA_OPEN_API_KEY"Authorization
x-corma-api-keystringheaderrequiredColon-separated API key ID and secret:
API_KEY_ID:API_KEY_SECRET
Parameters
takeintegerqueryDefault:50skipintegerqueryDefault:0
Response
application/json200
OK
paginationPaginationResponseMetarequireditemsCustomField[]required
{
"pagination": {
"take": 0,
"skip": 0,
"total": 0
},
"items": [
{
"key": "string",
"label": "string",
"type": "text",
"entity": "user",
"createdAt": "2026-01-15T09:30:00Z",
"updatedAt": "2026-01-15T09:30:00Z"
}
]
}